#
# spec file for package perl-Tk (Version 800.023)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xextra xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xextra xf86 xshared

Name:         perl-Tk
Copyright:    Copyright (c) 1995-1997 Nick Ing-Simmons
Group:        Development/Libraries/Perl
Requires:     perl tk
Provides:     perl_tk
Obsoletes:    perl_tk
Autoreqprov:  on
Version:      800.023
Release:      45
Summary:      Perl Tk
Source:       Tk%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-build

%description
Perl Tk is an enhancement for Perl. It combines both the well structured
graphical library Tk with the powerful scripting language Perl.

Authors:
--------
    Nick Ing-Simmons <Nick.Ing-Simmons@tiuk.ti.com>

SuSE series: perl

%prep
%setup -n Tk%{version}
find -name "*.orig" -exec rm {} \;
for file in `find -type f` ; do
  grep "/usr/local/bin/perl" $file && \
    cat $file | \
      sed -e "s@/usr/local/bin/perl@/usr/bin/perl@g" > tmpfile && \
        mv tmpfile $file
  grep "/usr/local/bin/nperl" $file && \
    cat $file | \
      sed -e "s@/usr/local/bin/nperl@/usr/bin/nperl@g" > tmpfile && \
        mv tmpfile $file
  grep "#!\s*/bin/perl" $file && \
    cat $file | \
      sed -e "s@/bin/perl@/usr/bin/perl@g" > tmpfile && \
        mv tmpfile $file
  grep "#!\s*/tools/local/perl" $file && \
    cat $file | \
      sed -e "s@/tools/local/perl@/usr/bin/perl@g" > tmpfile && \
        mv tmpfile $file
  grep "/usr/local/bin/new/perl" $file && \
    cat $file | \
      sed -e "s@/usr/local/bin/new/perl@/usr/bin/perl@g" > tmpfile && \
        mv tmpfile $file
done

%build
perl Makefile.PL
make
Xvfb :95 -fp /usr/X11R6/lib/X11/fonts/misc &
    trap "kill $!" EXIT
sleep 5
DISPLAY=:95 make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Tk
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Tk
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING Change.log Changes Funcs.doc INSTALL MANIFEST PPM-HowTo README* ToDo VERSIONS
%doc %{_mandir}/man?/*
%{_prefix}/bin/*
%{perl_sitearch}/Tie
%{perl_sitearch}/Tk
%{perl_sitearch}/Tk.*
%{perl_sitearch}/auto/Tk
/var/adm/perl-modules/perl-Tk

%changelog -n perl-Tk
* Mon Aug 20 2001 - rvasice@suse.cz
- fixed perl path to /usr/bin/perl
* Fri Aug 17 2001 - rvasice@suse.cz
- update to version 800.023
* Wed Apr 11 2001 - schwab@suse.de
- Fix many warnings and type clashes.
- Make sure Xvfb is always killed.
* Sat Apr 07 2001 - kukuk@suse.de
- Fix /bin/perl -> /usr/bin/perl
* Thu Apr 05 2001 - ro@suse.de
- rename perl_tk -> perl-Tk
* Thu Apr 05 2001 - ro@suse.de
- update to Tk800.022
* Thu Jan 18 2001 - grimmer@suse.de
- Changed Group tag to Development/Libraries/Perl
* Fri Oct 27 2000 - bk@suse.de
- fix permission of MANIFEST.SKIP(was 666)
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Thu Jan 20 2000 - ro@suse.de
- use macro for mandir
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - ro@suse.de
- update to 800.014
* Sun Jul 11 1999 - ro@suse.de
- fixed perl-paths
* Wed Mar 17 1999 - ro@suse.de
- diff cleanup
* Wed Feb 03 1999 - ro@suse.de
- use wildcard in filelist for alpha (*-linux)
* Tue Nov 17 1998 - ro@suse.de
- adjusted paths for perl5.005_02
* Thu Nov 12 1998 - ro@suse.de
- respect different perl minor versions
* Thu Nov 05 1998 - mb@suse.de
- initial version of perl_tk800.007
